--[[

--Custom Trickframe Support for Acrobatics, by Angular

--TO THE RACER CREATOR-

--PREREQUISITES: You'll need to make sure you've specified "T" frames in your character WAD. 
--***Kartmaker does NOT support this natively - there is a custom template out there that includes that, to my knowledge.

--STEPS:
--1) Put this in your character WAD/PK3. 
--2) That's about it. Acrobatics will handle the rest.

--Multiple trickframe support unsupported, but maybe soon? Though that's up to people if they want to make even MORE frames for their racer? :V

--]]--

local function trickyFrames(mo)
	if not acrobatics then --turn on the mod, dummy
		if not acrobasics then --basic need love too, Ang. 
			return 
		end 
	end
	if mo.player and mo.valid
		if mo.skin == "jumpluff"
		or mo.skin == "victini"
		or mo.skin == "whimsicott"
		or mo.skin == "whimsicottpl"
		or mo.skin == "wooper"
		or mo.skin == "wooper2"
		or mo.skin == "big_d"
		or mo.skin == "king-ii"
		or mo.skin == "chaoflare"
		or mo.skin == "midelle"
		or mo.skin == "fuego"
		or mo.skin == "deedee"
		or mo.skin == "riny"
		or mo.skin == "ekene"
		or mo.skin == "cole"
		or mo.skin == "leonard"
		or mo.skin == "zackcinder"
		or mo.skin == "beatboxthanos"
		or mo.skin == "colebrian"
		or mo.skin == "citlali"
		or mo.skin == "harris"
		or mo.skin == "chaosummer"
		or mo.skin == "wen"
		or mo.skin == "empoleon"
		or mo.skin == "holly"
		or mo.skin == "furret"
		or mo.skin == "chaoakira"
		or mo.skin == "chaorandall"
		or mo.skin == "doodleholly"
		or mo.skin == "nicole"
		or mo.skin == "chaovincent"
		or mo.skin == "mushy"
		or mo.skin == "cinccino"
		or mo.skin == "plusleminun"
		or mo.skin == "sureita"
		or mo.skin == "dakota"
		or mo.skin == "melodie"
		or mo.skin == "sydney"
		or mo.skin == "sksonic"
		or mo.skin == "wooloo"
		or mo.skin == "chaozeroeight"
		or mo.skin == "chaoarin"
		or mo.skin == "chaocloudy"
		or mo.skin == "feu"
		or mo.skin == "chaopebbles"
		or mo.skin == "muttski"
		or mo.skin == "chaourchin"
		or mo.skin == "chaozac"
		or mo.skin == "chaochasm"
		or mo.skin == "nidoking"
		or mo.skin == "paldeanwooper"
		or mo.skin == "gerbybundy"
		or mo.skin == "tinkaton"
		or mo.skin == "usahana"
		or mo.skin == "chaobastet"
		or mo.skin == "chaocecilia"
		or mo.skin == "chaoivan"
		or mo.skin == "chaofrey"
		or mo.skin == "chaomonsoon"
		or mo.skin == "chaoreuben"
		or mo.skin == "chaorhea"
		or mo.skin == "chaozero"
		or mo.skin == "pucca"
		or mo.skin == "midellewitch"
		or mo.skin == "solanum"
		or mo.skin == "mymelody"
		or mo.skin == "kuromi"
		or mo.skin == "daedream"
		or mo.skin == "flopie"
			mo.player.trickframes = true
		else
			mo.player.trickframes = nil
		end
	end
end

addHook("MobjThinker", trickyFrames, MT_PLAYER)

addHook("ThinkFrame", do 
	if acrobasics == nil then return end
	for p in players.iterate do	
        if not p.mo or not p.mo.valid continue end 
		if ((p.spintimer > 0 and p.hastricked) or (p.kartstuff[k_pogospring] == 1 and p.hastricked)) and p.playerstate == PST_LIVE
			if p.trickframes --Trickframe Support.
				p.mo.frame = T
			else
				p.mo.state = p.cmd.driftturn < 0 and S_KART_DRIFT2_R or S_KART_DRIFT2_L
			end
		end
	end
end)